Type to search.

Create or update a connector

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Beta This functionality is in beta and is not ready for production usage. For beta features, the design and code is less mature than official GA features and is being provided as-is with no warranties. Beta features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Path parameters

connector_id string optional

The unique identifier of the connector to be created or updated. ID is auto-generated if not provided.

Leave it out to use /_connector.

Request body

description string
index_name string
is_native boolean
language string
name string
service_type string

Response

application/json
result enum required
Values: created updated deleted not_found noop
id string required